Subject: bug#38013: [PATCH] Rectangular region selection with mouse

From: martin rudalics <[email-masked]>
Date: Mon, 4 Nov 2019 19:27:44 +0100

> Thanks for explaining. Unfortunately, region selection and menu
 > pop-up do not seem to be compatible in that way --- at least I
 > didn't manage to use the same modifier for both. Perhaps the events
 > could be multiplexed somehow, but it seems to be on the hacky side.

If you bind it to the control key you should at least be able to pop
up the buffer menu yourself if the up event occurs at the same
position as the down event.

But here I can simply do

(global-set-key [C-down-mouse-1] 'mouse-drag-region)
(global-set-key [C-drag-mouse-1] 'mouse-set-region)
(global-set-key [C-mouse-1] 'mouse-buffer-menu)

and get both, normal mouse dragging and the buffer menu.  What more
would you need?

martin